Index Page dvpool_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       void dvpool_c ( ConstSpiceChar  * name )
#### Abstract
       Delete a variable from the kernel pool.
#### Required_Reading
       KERNEL
#### Keywords
       CONSTANTS
       FILES
#### Brief_I/O
       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       name       I   Name of the kernel variable to be deleted.
#### Detailed_Input
       name       is the name of the kernel pool variable to delete.
                  The name and associated values are removed from the
                  kernel pool, freeing the occupied space.

                  If watches are set on the variable designated by
                  name, the corresponding agents are placed on the list
                  of agents to be notified of a kernel variable update.
#### Detailed_Output
       None.
#### Parameters
       None.
#### Exceptions
       1) If the specified variable is not present in the kernel pool,
          this routine simply returns.  No error is signaled.

       2) If the input string pointer is null, the error SPICE(NULLPOINTER)
          will be signaled.

       3) If the input name does not contain at least 1 character, the
          error SPICE(EMPTYSTRING) will be signaled.
#### Files
       None.
#### Particulars
       This routine enables users to selectively remove variables from
       the kernel pool, as opposed to having to clear the pool and
       reload it.

       Note that it is not necessary to remove kernel variables in order
       to simply update them; this routine should be used only when
       variables are to be removed.
#### Examples
       1) Remove triaxial radii of Jupiter from the kernel pool.

             #include "SpiceUsr.h"
                   .
                   .
                   .
             dvpool_c ( "BODY599_RADII" );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman  (JPL)
       W.L. Taber    (JPL)
#### Version
       -CSPICE Version 1.0.0, 05-JUN-1999 (NJB) (WLT)
#### Index_Entries
       delete a kernel pool variable
#### Link to routine dvpool_c source file dvpool_c.c

    Wed Jun  9 13:05:21 2010